Remove Logger

Removes a specified logger. Administrator privileges are required to call this API. This operation uses the bulk delete endpoint with a single GUID.

HTTP Request

DELETE /api/sonar/loggers
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     -d guids="b90ea540-4f47-4bcf-b708-af610a649c50" \
     -X DELETE https://HOSTNAME/api/sonar/loggers
Request Parameters
KeyRequiredTypeDescriptionNote
guidsOList of stringsLogger GUID listComma-separated GUID list
drop_tableXBooleanWhether to drop table as wellDefault: false

Success Response

{
  "failures": []
}

Error Responses

Logger identifier is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "guids should be guid type."
}
No administrator privileges

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}